# ContextFreePlugin Makefile for Cube 4.9 Plugin Development

# Define Cube installation paths
CUBEGUI_CONFIG = /mnt/e/Cube/4.9/bin/cubegui-config
CUBELIB_CONFIG = /mnt/e/Cube/4.9/include/cubelib

# Ensure proper environment for building
INCLUDEPATH += /mnt/e/Cube/4.9/include/cubegui /mnt/e/Cube/4.9/include/cubelib
LIBS += -L/mnt/e/Cube/4.9/lib -lcubegui -lcubelib

# qmake generated variable
TEMPLATE = lib
CONFIG += plugin

# Qt version check
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

# Define headers and sources
HEADERS += ContextFreePluginExample.h
SOURCES += ContextFreePluginExample.cpp

# Target output name
TARGET = ContextFreePluginExample

# Call qmake and make to generate the shared library (plugin)
.PHONY: all
all:
	qmake Contextfreeplugin.pro
	make

# Clean the build
.PHONY: clean
clean:
	make clean

# Install the plugin to the Cube plugin directory
.PHONY: install
install:
	cp libContextFreePluginExample.so /mnt/e/Cube/4.9/lib64/plugins
