# CubeJsonPlugin

## Overview
**CubeJsonPlugin** is a plugin for CubeGUI that visualizes system tree data in JSON format. It adds a new tab to the CubeGUI interface, allowing users to view and interact with system tree data. The plugin also enables exporting selected items to a JSON file for further analysis or record-keeping.

This plugin is designed to be simple, intuitive, and lightweight, making it easy for developers and users to integrate into their workflows.

---

## Features
- **Interactive System Tree Tab**: Adds a tab labeled *System Tree JSON* to CubeGUI.
- **Tree Item Selection**: Dynamically displays the name of the selected tree item.
- **JSON Export**: Allows users to export selected system tree item data in JSON format with a single click.
- **Flexible Design**: Built with modularity and extensibility in mind.

---

## Requirements
This plugin has been tested and works with the following setup:
- **CubeGUI Version**: 4.9
- **Qt Version**: 5.15 or later
- **Compiler**: g++ with C++17 support or later

Ensure you have CubeGUI installed, and that the `cubegui-config` and `cubelib-config` scripts are available in your PATH.

---

## Installation

### Step 1: Build the Plugin
1. Clone this repository:
   ```bash
   git clone <https://mygit.th-deg.de/ar16048/cubepluginproject>
   cd CubeJsonPlugin